#
# spec file
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global revision 1
%global module_name icinga-php-library
%global basedir %{_datadir}/icinga-php/ipl
Name:           %{module_name}
Version:        0.14.1
Release:        1.1
Summary:        Icinga PHP Library for Icinga Web 2
License:        MIT
Group:          System/Monitoring
URL:            https://icinga.com
Source0:        https://github.com/Icinga/%{module_name}/archive/v%{version}/%{module_name}-%{version}.tar.gz
Source99:       %{name}-rpmlintrc
BuildRequires:  fdupes
Requires:       php-gettext
Requires:       php-intl
Requires:       php-json
Requires:       php-openssl
Requires:       php-pdo
Obsoletes:      icinga-php-common < %{version}
Obsoletes:      icinga-php-common > %{version}
Provides:       icinga-php-common = %{version}
BuildArch:      noarch

%description
This project bundles all Icinga PHP libraries into one
piece and can be integrated as library into Icinga Web 2.

%prep
%setup -q

%build
# nothing to build

%install
mkdir -vp %{buildroot}%{basedir}

cp -vr asset %{buildroot}%{basedir}
cp -vr vendor %{buildroot}%{basedir}
cp -vr composer.* %{buildroot}%{basedir}
cp -vr VERSION %{buildroot}%{basedir}

%fdupes %{buildroot}%{basedir}

%files
%doc README.md
%license LICENSE
%dir %{_datadir}/icinga-php
%{basedir}

%changelog
* Sun Jan 26 2025 ecsos <ecsos@opensuse.org>
- Update ot 0.14.1
  - No changelog from upstream.
* Thu Sep 28 2023 ecsos <ecsos@opensuse.org>
- Remove unneded requires and buildrequires icinga-php-common.
- Add missing requires.
* Fri Sep 22 2023 ecsos <ecsos@opensuse.org>
- Update to 0.13.0
  - No changelog from upstream.
* Sun Jul 16 2023 ecsos <ecsos@opensuse.org>
- Update to 0.12.0
  - No changelog from upstream.
* Wed May 10 2023 ecsos <ecsos@opensuse.org>
- Update to 0.11.0
  - No changelog from upstream.
* Tue Oct  4 2022 ecsos <ecsos@opensuse.org>
- Update to 0.10.0
  - No changelog from upstream.
* Fri Jul  1 2022 ecsos <ecsos@opensuse.org>
- Update to 0.9.0
  - No changelog from upstream.
    But only compatible with Icinga Web versions 2.9.7, 2.10.2
    and 2.11.0
* Fri Mar 25 2022 ecsos <ecsos@opensuse.org>
- Update to 0.8.0
  - No changelog from upstream.
* Fri Feb 18 2022 ecsos <ecsos@opensuse.org>
- Update to 0.7.0
  - No changelog from upstream.
* Mon Sep 27 2021 ecsos <ecsos@opensuse.org>
- Update to 0.6.1
  - No changelog from upstream.
* Tue Jul 27 2021 ecsos <ecsos@opensuse.org>
- Initial version 0.6.0
